Skip to main content
GET
/
categories
/
{id}
Get category by ID
curl --request GET \
  --url https://integrations.clopos.com/open-api/v2/categories/{id} \
  --header 'x-token: <api-key>'
{
  "success": true,
  "data": {
    "id": 123,
    "parent_id": 123,
    "name": "<string>",
    "slug": "<string>",
    "type": "PRODUCT",
    "color": "<string>",
    "status": 123,
    "depth": 123,
    "_lft": 123,
    "_rgt": 123,
    "properties": {},
    "children": "<array>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "time": 123,
  "timestamp": "2023-11-07T05:31:56Z",
  "unix": 123
}

Documentation Index

Fetch the complete documentation index at: https://developer.clopos.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-token
string
header
required

JWT access token obtained from /v2/auth endpoint

Path Parameters

id
string
required

Category ID

Query Parameters

include_children
boolean
default:true

Include nested child categories in the response

Response

Category retrieved successfully

success
boolean
data
object
time
integer
timestamp
string<date-time>
unix
integer